<div id="mobile-nav" class="pt100 pb50">
    <ul class="mobile-nav-items"></ul>
</div>

<div class="popup">
  <a href="javascript: void(0)" class="close-popup cross thick white"></a>
  <div class="overlay"></div>
  <div class="container-fluid like-table w100p">
    <div class="row like-table-row">
      <div class="col-xs-12 like-table-cell valign-middle text-center">
        <div class="popup-content like-table centered"></div>
      </div>
    </div>
  </div>
</div><!-- .popup -->

<style>
  {% assign transition_template = ' -moz-transition: VALUE; -webkit-transition: VALUE; -o-transition: VALUE; -ms-transition: VALUE; transition: VALUE;' %}
  {% assign transform_template  = ' -moz-transform: VALUE; -webkit-transform: VALUE; -o-transform: VALUE; -ms-transform: VALUE; transform: VALUE;' %}
  
  .popup.loading .overlay {}
  
  .popup.has-mobile-nav > [class*="container"] > .row > .like-table-cell.valign-middle { vertical-align: top }
  
  body.popup-active #header, body.popup-active #content, body.popup-active #footer { -webkit-filter: blur(5px); filter: blur(5px) }
  
  .popup { display: none; width: 100%; height: 100%; position: absolute; top: 0; left: 0; z-index: 1000 }
  .popup > a.close-popup { display: block; height: 30px; position: fixed; right: 38px; top: 20px; width: 30px; z-index: 5 }
  .popup .overlay { background-color: rgba(255,255,255,0.8); box-shadow: 0 0 10px rgba(255,255,255,1) inset; width: 100%; height: 100%; top: 0; left: 0; position: fixed; z-index: 0 }
  .popup.loading .overlay::before { background: #FFF none center center no-repeat; border-radius: 3px; content: ""; display: block; height: 100px; left: 50%; margin-left: -50px; margin-top: -50px; position: absolute; top: 50%; width: 100px }
  .popup > div[class*="container"] { height: 100vh; left: 0; position: absolute; top: 0 }
  .popup.loading > div[class*="container"] { display: none }
  
  #mobile-nav { display: none }
  #mobile-nav ul.mobile-nav-items {}
  #mobile-nav ul.mobile-nav-items li {}
  #mobile-nav ul.mobile-nav-items li > a {}
  
  #mobile-nav ul.mobile-nav-items > li { opacity: 0; {{ transform_template | replace: 'VALUE', 'translateX(50px)' }} }
  /* Animation from right *//*
  #mobile-nav ul.mobile-nav-items > li.show { opacity: 1; {{ transform_template | replace: 'VALUE', 'translateX(0)' }} {{ transform_template | replace: 'VALUE', 'bring-in-from-right 0.2s ease-in-out' | replace: 'transform:', 'animation:' }} }
  #mobile-nav ul.mobile-nav-items > li.hide { opacity: 0; {{ transform_template | replace: 'VALUE', 'translateX(50px)' }}{{ transform_template | replace: 'VALUE', 'send-to-right 0.2s ease-in-out' | replace: 'transform:', 'animation:' }} }*/
  /* Animation from bottom */
  #mobile-nav ul.mobile-nav-items > li.show { opacity: 1; {{ transform_template | replace: 'VALUE', 'translateY(0)' }} {{ transform_template | replace: 'VALUE', 'bring-in-from-bottom 0.2s ease-in-out' | replace: 'transform:', 'animation:' }} }
  #mobile-nav ul.mobile-nav-items > li.hide { opacity: 0; {{ transform_template | replace: 'VALUE', 'translateY(50px)' }}{{ transform_template | replace: 'VALUE', 'send-to-bottom 0.2s ease-in-out' | replace: 'transform:', 'animation:' }} }
  
  @-moz-keyframes bring-in-from-right {
    0%   { -moz-transform: translateX(50px); opacity: 0 }
    100% { -moz-transform: translateX( 0px); opacity: 1 }
  }
  @-webkit-keyframes bring-in-from-right {
    0%   { -webkit-transform: translateX(50px); opacity: 0 }
    100% { -webkit-transform: translateX( 0px); opacity: 1 }
  }
  @-o-keyframes bring-in-from-right {
    0%   { -o-transform: translateX(50px); opacity: 0 }
    100% { -o-transform: translateX( 0px); opacity: 1 }
  }
  @keyframes bring-in-from-right {
    0%   { transform: translateX(50px); opacity: 0 }
    100% { transform: translateX( 0px); opacity: 1 }
  }

  @-moz-keyframes send-to-right {
      0% { -moz-transform: translateX( 0px); opacity: 1 }
    100% { -moz-transform: translateX(50px); opacity: 0 }
  }
  @-webkit-keyframes send-to-right {
      0% { -webkit-transform: translateX( 0px); opacity: 1 }
    100% { -webkit-transform: translateX(50px); opacity: 0 }
  }
  @-o-keyframes send-to-right {
      0% { -o-transform: translateX( 0px); opacity: 1 }
    100% { -o-transform: translateX(50px); opacity: 0 }
  }
  @keyframes send-to-right {
      0% { transform: translateX( 0px); opacity: 1 }
    100% { transform: translateX(50px); opacity: 0 }
  }
  
  @-moz-keyframes bring-in-from-bottom {
    0%   { -moz-transform: translateY(50px); opacity: 0 }
    100% { -moz-transform: translateY( 0px); opacity: 1 }
  }
  @-webkit-keyframes bring-in-from-bottom {
    0%   { -webkit-transform: translateY(50px); opacity: 0 }
    100% { -webkit-transform: translateY( 0px); opacity: 1 }
  }
  @-o-keyframes bring-in-from-bottom {
    0%   { -o-transform: translateY(50px); opacity: 0 }
    100% { -o-transform: translateY( 0px); opacity: 1 }
  }
  @keyframes bring-in-from-bottom {
    0%   { transform: translateY(50px); opacity: 0 }
    100% { transform: translateY( 0px); opacity: 1 }
  }

  @-moz-keyframes send-to-bottom {
      0% { -moz-transform: translateY( 0px); opacity: 1 }
    100% { -moz-transform: translateY(50px); opacity: 0 }
  }
  @-webkit-keyframes send-to-bottom {
      0% { -webkit-transform: translateY( 0px); opacity: 1 }
    100% { -webkit-transform: translateY(50px); opacity: 0 }
  }
  @-o-keyframes send-to-bottom {
      0% { -o-transform: translateY( 0px); opacity: 1 }
    100% { -o-transform: translateY(50px); opacity: 0 }
  }
  @keyframes send-to-bottom {
      0% { transform: translateY( 0px); opacity: 1 }
    100% { transform: translateY(50px); opacity: 0 }
  }
</style>